export * from './type';
export type { Locale } from './context';
export declare const ConfigProvider: import("vue/types/vue").ExtendedVue<import("vue").default, {
    defaultData: import("./type").GlobalConfigProvider;
}, unknown, {
    mergedGlobalConfig: import("./type").GlobalConfigProvider;
}, {
    globalConfig: import("./type").GlobalConfigProvider;
}> & import("vue").PluginObject<import("vue/types/vue").ExtendedVue<import("vue").default, {
    defaultData: import("./type").GlobalConfigProvider;
}, unknown, {
    mergedGlobalConfig: import("./type").GlobalConfigProvider;
}, {
    globalConfig: import("./type").GlobalConfigProvider;
}>>;
export default ConfigProvider;
